org.apache.solr.common

## Interface MapWriter.EntryWriter

Enclosing interface:
  MapWriter

    public static interface MapWriter.EntryWriter

An interface to push one entry at a time to the output. The order of the keys is not defined, but we assume they are distinct -- don't call `put` more than once for the same key.

### Method Summary

All Methods Instance Methods Abstract Methods Default Methods
`default MapWriter.EntryWriter` `put(CharSequence k, boolean v)`
`default MapWriter.EntryWriter` `put(CharSequence k, double v)`
`default MapWriter.EntryWriter` `put(CharSequence k, float v)`
`default MapWriter.EntryWriter` `put(CharSequence k, int v)`
`default MapWriter.EntryWriter` `put(CharSequence k, long v)`
`MapWriter.EntryWriter` `put(CharSequence k, Object v)` Writes a key value into the map
`default MapWriter.EntryWriter` `put(CharSequence k, Object v, BiPredicate<CharSequence,Object> p)`
`default MapWriter.EntryWriter` `putIfNotNull(CharSequence k, Object v)`
`default MapWriter.EntryWriter` `putNoEx(CharSequence k, Object v)`
`default MapWriter.EntryWriter` `putStringIfNotNull(CharSequence k, Object v)`

### Method Detail

#### put

    MapWriter.EntryWriter put(CharSequence k,
                              Object v)
                       throws IOException

Writes a key value into the map

Parameters:
  `k` - The key
  `v` - The value can be any supported object
Throws:
  `IOException`

#### putNoEx

    default MapWriter.EntryWriter putNoEx(CharSequence k,
                                          Object v)

#### put

    default MapWriter.EntryWriter put(CharSequence k,
                                      Object v,
                                      BiPredicate<CharSequence,Object> p)
                               throws IOException

Throws:
  `IOException`

#### putIfNotNull

    default MapWriter.EntryWriter putIfNotNull(CharSequence k,
                                               Object v)
                                        throws IOException

Throws:
  `IOException`

#### putStringIfNotNull

    default MapWriter.EntryWriter putStringIfNotNull(CharSequence k,
                                                     Object v)
                                              throws IOException

Throws:
  `IOException`

#### put

    default MapWriter.EntryWriter put(CharSequence k,
                                      int v)
                               throws IOException

Throws:
  `IOException`

#### put

    default MapWriter.EntryWriter put(CharSequence k,
                                      long v)
                               throws IOException

Throws:
  `IOException`

#### put

    default MapWriter.EntryWriter put(CharSequence k,
                                      float v)
                               throws IOException

Throws:
  `IOException`

#### put

    default MapWriter.EntryWriter put(CharSequence k,
                                      double v)
                               throws IOException

Throws:
  `IOException`

#### put

    default MapWriter.EntryWriter put(CharSequence k,
                                      boolean v)
                               throws IOException

Throws:
  `IOException`